/*
 * Copyright (C) 2006 Johan Maasing johan at zoom.nu Licensed under the Apache
 * License, Version 2.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law
 * or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package nu.zoom.catonine.desktop.about;

import java.awt.BorderLayout;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.ops4j.gaderian.Messages;

class AboutComponent extends JPanel {
	private static final long serialVersionUID = 1L;

	AboutComponent() {
		super(new BorderLayout());
	}
	
	void init(Messages messages) {
		URL url = this.getClass().getResource("/images/splash.png");
		ImageIcon icon = new ImageIcon(url);
		icon = new ImageIcon(url);
		JLabel iconLabel = new JLabel(icon) ;
		add(iconLabel, BorderLayout.CENTER) ;
	}

}
